# Update the event’s status

| HTTP method | Endpoint                                             |
| ----------- | ---------------------------------------------------- |
| **PATCH**   | **/v1/offers/{offer\_id}/offer\_events/{event\_id}** |

## Path parameters <a href="#path-parameters-1" id="path-parameters-1"></a>

| Parameter        | Description                         |
| ---------------- | ----------------------------------- |
| offer\_id        | The unique id for the offer.        |
| event\_id        | The unique id for the offer event.  |
| status           | Status Can choose is active·paused. |
| revenue          | Event revenue.                      |
| percent\_revenue | Event percent revenue.              |
| payout           | Event payout.                       |
| percent\_payout  | Event percent payout.               |

**Note: To change event status to active, you will need t to reset revenue and payout if previous value is null.**

**Note: If is\_private=1, you won’t be able to set payout and offer\_payout\_tier.**

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field                 | Type    | Description                                                                                                                                                                                                                         |   |
| --------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| id                    | integer | The unique id for the event.                                                                                                                                                                                                        |   |
| name                  | string  | Offer Event name.                                                                                                                                                                                                                   |   |
| revenue\_type         | string  | Event revenue type. Allowed values: RPC · RPA · RPS · RPA+RPS                                                                                                                                                                       |   |
| revenue               | string  | Event revenue.                                                                                                                                                                                                                      |   |
| percent\_revenue      | string  | Event percent revenue.                                                                                                                                                                                                              |   |
| payout\_type          | string  | Event payout type. Allowed values: CPC · CPA · CPS · CPA+CPS                                                                                                                                                                        |   |
| payout                | string  | Event payout.                                                                                                                                                                                                                       |   |
| percent\_payout       | string  | Event percent payout.                                                                                                                                                                                                               |   |
| status                | string  | The status of the event.  Allowed values:  active  paused                                                                                                                                                                           |   |
| is\_private           | integer | Enabling this setting will track revenue of event only, affiliate do not have access to private events, custom affiliate payouts can not be set nor can 3rd party affiliate postbacks be placed. Allowed values:  1: Open  0: Close |   |
| approve\_conversions  | integer | Whether Conversions for this Offer must be manually approved. If enabled, Conversions will receive a "status" of "pending" when generated.  Allowed values:  1: Open  0: Close                                                      |   |
| is\_allowed\_multiple | integer | Enabling this setting will allow multiple conversions to be recorded per user for only one click id.  Allowed values:  1: Open  0: Close                                                                                            |   |
| is\_end\_point        | integer | Enabling this setting will close the active click session when this event is converted.  Allowed values:  1: Open  0: Close                                                                                                         |   |
| conversion\_protocol  | integer | The Conversion tracking method to use for the offer event. Allowed values: 1 mage Pixel  2 ostback URL  3 Frame Pixel                                                                                                               |   |
| offer\_payout\_tier   |         |                                                                                                                                                                                                                                     |   |
| tier\_id              | integer | The unique id for the tier.                                                                                                                                                                                                         |   |
| tier\_payout          | string  | Tier payout.                                                                                                                                                                                                                        |   |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request PATCH**

<https://{networkname}.api.offerslook.com/v1/offers/102/offer_events/2?status=active&revenue=2&payout=3>

**Request PATCH**

<http://{networkname}.api.offerslook.com/v1/offers/102/offer_events/2?status=active&revenue=2&payout=3>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_event": {
          "id": 10,
          "name": "Test",
          "revenue_type": "RPA+RPS",
          "revenue": "2.000",
          "percent_revenue": "10",
          "payout_type": "CPA+CPS",
          "payout": "3.000",
          "percent_payout": "10",
          "status": "active",
          "conversion_protocol": 2,
          "is_private": 0,
          "approve_conversions": 0,
          "is_allowed_multiple": 0,
          "is_end_point": 0,
          "offer_payout_tier": [
            {
              "tier_id": 12,
              "offer_id": 102,
              "event_id": 10,
              "tier_payout": "2.5",
              "tier_percent_payout": "10"
            },
            {
              "tier_id": 11,
              "offer_id": 102,
              "event_id": 10,
              "tier_payout": "2.5",
              "tier_percent_payout": "10"
            }
          ],
          "create_time": 1478088797,
          "update_time": 1478088797
        }
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/offer-events/update_the_events_status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
